Package: org.codehaus.groovy.antlr

## [Java] Class ASTParserException

- org.codehaus.groovy.antlr.ASTParserException

- Thrown when trying to parse the AST

  Version:
    \$Revision\$

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ASTParserException (ASTRuntimeException e)`
    `ASTParserException (String message, ASTRuntimeException e)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `AST` | `getAst()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SyntaxException` | `getEndColumn, getEndLine, getLine, getMessage, getOriginalMessage, getSourceLocator, getStartColumn, getStartLine, setSourceLocator`
    `class GroovyException` | `isFatal, setFatal`
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public ASTParserException(ASTRuntimeException e)

    - #### public ASTParserException(String message, ASTRuntimeException e)

  - ### Method Detail

    - #### public AST getAst()